
QGIS Application - Bug report #6887

GdalTools: support non-ascii path for Windows

2012-12-17 08:17 PM - Minoru Akagi

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16013

Description

When I specify file path including non-ascii characters for processing, the following error occurs.

ERROR 4: `D:/{here_is_corrupted_dirname}/ASTGTM_N33E134_dem.tif' does not exist in the file system, 

and is not recognised as a supported dataset name.

History

#1 - 2012-12-30 09:59 AM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli

#2 - 2012-12-31 01:23 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#3 - 2013-02-11 03:11 AM - Minoru Akagi

- Status changed from Open to Closed

Fixed in recent commits. Thank you!

#4 - 2014-06-29 10:13 AM - Jürgen Fischer

- Assignee deleted (anonymous -)

Files

gdaltools_path.diff 3.32 KB 2012-12-17 Minoru Akagi
